import type { TrinoSqlListener } from '../../lib/trino/TrinoSqlListener';
import { CatalogNameCreateContext, CatalogRefContext, ColumnNameCreateContext, CreateMaterializedViewContext, CreateSchemaContext, CreateTableAsSelectContext, CreateTableContext, CreateViewContext, InsertIntoContext, QueryStatementContext, SchemaNameCreateContext, SchemaRefContext, SingleStatementContext, TableNameCreateContext, TableRefContext, ViewNameCreateContext, ViewRefContext } from '../../lib/trino/TrinoSqlParser';
import { EntityCollector } from '../common/entityCollector';
export declare class TrinoEntityCollector extends EntityCollector implements TrinoSqlListener {
    /** ====== Entity Begin */
    exitCatalogRef(ctx: CatalogRefContext): void;
    exitCatalogNameCreate(ctx: CatalogNameCreateContext): void;
    exitSchemaRef(ctx: SchemaRefContext): void;
    exitSchemaNameCreate(ctx: SchemaNameCreateContext): void;
    exitTableRef(ctx: TableRefContext): void;
    exitTableNameCreate(ctx: TableNameCreateContext): void;
    exitViewRef(ctx: ViewRefContext): void;
    exitViewNameCreate(ctx: ViewNameCreateContext): void;
    exitColumnNameCreate(ctx: ColumnNameCreateContext): void;
    /** ===== Statement begin */
    enterSingleStatement(ctx: SingleStatementContext): void;
    exitSingleStatement(ctx: SingleStatementContext): void;
    enterCreateSchema(ctx: CreateSchemaContext): void;
    exitCreateSchema(ctx: CreateSchemaContext): void;
    enterCreateTableAsSelect(ctx: CreateTableAsSelectContext): void;
    exitCreateTableAsSelect(ctx: CreateTableAsSelectContext): void;
    enterCreateTable(ctx: CreateTableContext): void;
    exitCreateTable(ctx: CreateTableContext): void;
    enterCreateView(ctx: CreateViewContext): void;
    exitCreateView(ctx: CreateViewContext): void;
    enterCreateMaterializedView(ctx: CreateMaterializedViewContext): void;
    exitCreateMaterializedView(ctx: CreateMaterializedViewContext): void;
    enterQueryStatement(ctx: QueryStatementContext): void;
    exitQueryStatement(ctx: QueryStatementContext): void;
    enterInsertInto(ctx: InsertIntoContext): void;
    exitInsertInto(ctx: InsertIntoContext): void;
}
